icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

HylaFAX < 4.2.4 Multiple Vulnerabilities

High

Synopsis

The remote host is vulnerable to multiple attack vectors.

Description

The remote host is running HylaFAX, a fax transmission software. It is reported that HylaFAX is prone to a number of flaws that would allow a remote attacker to execute arbitrary commands with the permission of the process running HylaFAX. In addition, the application is vulnerable to a flaw that would allow remote attackers to bypass authentication, giving them administrative access without the proper credentials. An attacker exploiting either of these flaws will be able to gain control of the remote HylaFAX server.

Solution

Upgrade to version 4.2.4 or higher.